From f72052ed008afbe3d298a345309affaa94dfd0a3 Mon Sep 17 00:00:00 2001
From: Mariam Elshakfy <mariam.elshakfy@linaro.org>
Date: Thu, 13 Feb 2025 10:47:41 +0000
Subject: [PATCH] Silicon/AMD/Xilinx/ZynqMpPkg: Increase stack size

Increase default value for stack size to 256 KiB, as the UEFI specs
expect a minimum available stack space of 128 KiB. Refer to:
https://uefi.org/specs/UEFI/2.11/02_Overview.html#aarch64-platforms

Also, remove PcdCPUCoresStackBase as it's misleading. This PCD is
only used by ArmPlatformPkg/Sec. In case of Peiless, the stack
location is calculated in AArch64/ModuleEntryPoint.S

Upstream-Status: Pending
Signed-off-by: Mariam Elshakfy <mariam.elshakfy@linaro.org>
---
 Silicon/AMD/Xilinx/ZynqMpPkg/ZynqMpPkg.dsc.inc | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

diff --git a/Silicon/AMD/Xilinx/ZynqMpPkg/ZynqMpPkg.dsc.inc b/Silicon/AMD/Xilinx/ZynqMpPkg/ZynqMpPkg.dsc.inc
index 0cb06148e9..3bb7cac2b2 100644
--- a/Silicon/AMD/Xilinx/ZynqMpPkg/ZynqMpPkg.dsc.inc
+++ b/Silicon/AMD/Xilinx/ZynqMpPkg/ZynqMpPkg.dsc.inc
@@ -27,8 +27,7 @@
 ################################################################################
 [PcdsFixedAtBuild.common]
   # Stacks for MPCores in Normal World
-  gArmPlatformTokenSpaceGuid.PcdCPUCoresStackBase|0x71000000
-  gArmPlatformTokenSpaceGuid.PcdCPUCorePrimaryStackSize|0x4000
+  gArmPlatformTokenSpaceGuid.PcdCPUCorePrimaryStackSize|0x40000
 
   # System Memory
   gArmTokenSpaceGuid.PcdSystemMemoryBase|0x00000000
-- 
2.34.1

